package com.mt.wms.empty.service;

import com.mt.wms.core.dal.entity.TaskDetHis;
import com.mt.wms.core.vo.PageVo;
import com.mt.wms.core.vo.R;
import com.mt.wms.empty.params.OrderInfoTaskDetParam;
import com.mt.wms.empty.vo.OrderInfoTaskDetVo;

import java.util.List;

/**
 * 拆分任务历史相关服务
 *
 * @author xcc
 * @date 2021年11月8日
 * @since 1.0
 */
public interface TaskDetHisService {
    /**
     * 保存任务详情历史
     *
     * @param taskDetHis 任务详情历史
     * @return 结果
     */
    R save(TaskDetHis taskDetHis);

    /**
     * 保存任务详情历史list
     *
     * @param taskDetHis 任务详情历史
     * @return 结果
     */
    R saveList(List<TaskDetHis> taskDetHis);

    /**
     * 保存任务详情历史list
     *
     * @param param 任务详情历史
     * @return 结果
     */
    PageVo<OrderInfoTaskDetVo> getHisOrderHisTask(OrderInfoTaskDetParam param);
}
